EDIT - bug #9045

TextualTypeDesignation throws exception in referencing objects view
05/29/2020 11:22 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal Found in Version:

Description

last remote method : http://api.cybertaxonomy.org:80/caryophyllales_spp/remoting/common.service
last remote request client time : 2020-05-29T10:54:12.348
last remote request response header time : Fri, 29 May 2020 10:54:12 GMT
client error time : 2020-05-29T10:54:12.488
login : admin
editor version : 5.14.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / caryophyllales_spp
schema version : 5.12.0.0.20191202
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.RuntimeException: Type Designation class not supported: eu.etaxonomy.cdm.model.name.Text
ualTypeDesignation

at eu.etaxonomy.taxeditor.model.DescriptionHelper.getCache (DescriptionHelper. java:414)

at eu.etaxonomy.taxeditor.model.DescriptionHelper.getObjectDescription (DescriptionHelper. java:
252)

at eu.etaxonomy.taxeditor.bulkeditor.referencingobjects.ReferencingObjectsLabelProvider.getCol
umnText (ReferencingObjectsLabelProvider. java:58)

at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update (TableColumnViewerLabelProvi
der.java:66)

at org.eclipse.jface.viewers.ViewerColumn.refresh (ViewerColumn. java:141)

at org.eclipse.jface.viewers.AbstractTableViewer.doUpdateltem (AbstractTableViewer. java:389)

at org.eclipse.jface.viewers.StructuredViewer$UpdateltemSafeRunnable.run (StructuredViewer. java
:474)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)

at org.eclipse.ui.internal.JFaceUtil$l.run (JFaceUtil. java:50)

at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable.java:173)

at org.eclipse.jface.viewers.StructuredViewer.updateltem(StructuredViewer.java:2170)

at org.eclipse.jface.viewers.AbstractTableViewer.internalRefreshAll (AbstractTableViewer. java:6
76)

at org.eclipse.jface.viewers.AbstractTableViewer.internalRefresh (AbstractTableViewer. java:614)

at org.eclipse.jface.viewers.AbstractTableViewer.internalRefresh (AbstractTableViewer. java:606)

at org.eclipse.jface.viewers.StructuredViewer.lambda$0 (StructuredViewer. java:1519)

at org.eclipse.jface.viewers.StructuredViewer.preservingSelection (StructuredvViewer.java:1458)

at org.eclipse.jface.viewers.StructuredViewer.preservingSelection (StructuredViewer.java:1419)

at org.eclipse.jface.viewers.StructuredViewer.refresh (StructuredvViewer. java:1519)

at org.eclipse.jface.viewers.ColumnViewer.refresh (ColumnViewer. java:523)

at org.eclipse.jface.viewers.StructuredViewer.refresh (StructuredViewer. java:1478)

at eu.etaxonomy.taxeditor.bulkeditor.referencingobjects.e4.ReferencingObjectsViewE4$3.run (Refe
rencingObjectsViewE4. java:377)

at org.eclipse.swt.widgets.RunnablelLock.run (RunnablelLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4d4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l
022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

Associated revisions

Revision c8dc4ed4a - 05/29/2020 11:29 AM - Andreas Muller

fix #9045 fix exception in DescriptionHelper for TextualTypeDesignations and fix missing from part type designations

Revision e7e33306 - 05/29/2020 11:31 AM - Andreas Miiller

fix #9045 fix missing from part type designations (cont.)

History

#1 - 05/29/2020 11:29 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|c8dc4e4acf4326bc6bd6c265e8f6b7335d48d22.

#2 - 06/03/2020 10:22 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

| tested with name "Orphaned syn" on rem_conf_am. Code and result is trivial so | close this ticket.
